multidimensional

Metadata

Analyzed metadata and errors of multidimensional.

{
   "abstracts_in_pod" : {
      "multidimensional" : "disables multidimensional array emulation"
   },
   "author" : "ILMARI",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "t",
      "t/lib",
      "inc"
   ],
   "dist" : "multidimensional",
   "dynamic_config" : 0,
   "error" : {},
   "extension" : "tar.gz",
   "external_license_file" : "LICENSE",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_dist_ini" : "dist.ini",
   "file_license" : "LICENSE",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_json" : "META.json",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "dist.ini",
      "README",
      "multidimensional.xs",
      "META.json",
      "Changes",
      "Makefile.PL",
      "weaver.ini",
      "META.yml",
      "MANIFEST",
      "LICENSE",
      "lib/multidimensional.pm",
      "t/release-pod-coverage.t",
      "t/basic.t",
      "t/release-pod-syntax.t",
      "t/lib/MyTest.pm",
      "inc/MultidimensionalMakeMaker.pm"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1360260868,
         "size" : 1316
      },
      "LICENSE" : {
         "mtime" : 1360260868,
         "size" : 18386
      },
      "MANIFEST" : {
         "mtime" : 1360260868,
         "size" : 234
      },
      "META.json" : {
         "mtime" : 1360260868,
         "size" : 1681
      },
      "META.yml" : {
         "mtime" : 1360260868,
         "size" : 770
      },
      "Makefile.PL" : {
         "mtime" : 1360260868,
         "required" : [
            "5.008",
            "ExtUtils::Depends"
         ],
         "size" : 1515,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1360260868,
         "size" : 324
      },
      "dist.ini" : {
         "mtime" : 1360260868,
         "size" : 877
      },
      "inc/MultidimensionalMakeMaker.pm" : {
         "mtime" : 1360260868,
         "size" : 414
      },
      "lib/multidimensional.pm" : {
         "license" : "Perl_5",
         "module" : "multidimensional",
         "mtime" : 1360260868,
         "size" : 1901,
         "used" : [
            "5.008",
            "B::Hooks::OP::Check",
            "Lexical::SealRequireHints",
            "XSLoader",
            "strict",
            "warnings"
         ]
      },
      "multidimensional.xs" : {
         "mtime" : 1360260868,
         "size" : 1491
      },
      "t/basic.t" : {
         "mtime" : 1360260868,
         "noed" : [
            "multidimensional"
         ],
         "size" : 1198,
         "used" : [
            "Test::More",
            "lib",
            "multidimensional",
            "strict",
            "warnings"
         ]
      },
      "t/lib/MyTest.pm" : {
         "mtime" : 1360260868,
         "size" : 43
      },
      "t/release-pod-coverage.t" : {
         "mtime" : 1360260868,
         "required" : [
            "Test::More"
         ],
         "size" : 501,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Pod::Coverage::TrustPod",
            "Test::Pod::Coverage"
         ]
      },
      "t/release-pod-syntax.t" : {
         "mtime" : 1360260868,
         "required" : [
            "Test::More"
         ],
         "size" : 296,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      },
      "weaver.ini" : {
         "mtime" : 1360260868,
         "size" : 24
      }
   },
   "got_prereq_from" : "META.yml",
   "included_modules" : [
      "MultidimensionalMakeMaker"
   ],
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 1,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "100.00",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 1,
      "meta_yml_has_license" : 1,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 1,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1360260868,
   "license" : "perl defined in META.yml defined in LICENSE",
   "license_file" : "lib/multidimensional.pm",
   "license_from_yaml" : "perl",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/multidimensional.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_json_is_parsable" : 1,
   "meta_json_spec_version" : "2",
   "meta_yml" : {
      "abstract" : "disables multidimensional array emulation",
      "author" : [
         "Dagfinn Ilmari Mannsåker <ilmari@ilmari.org>"
      ],
      "build_requires" : {
         "Test::More" : "0.88"
      },
      "configure_requires" : {
         "B::Hooks::OP::Check" : "0",
         "CPAN::Meta" : "2.112580",
         "ExtUtils::Depends" : "0",
         "ExtUtils::MakeMaker" : "6.30"
      },
      "dynamic_config" : "0",
      "generated_by" : "Dist::Zilla version 4.300030, CPAN::Meta::Converter version 2.120921",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "multidimensional",
      "requires" : {
         "B::Hooks::OP::Check" : "0.19",
         "Lexical::SealRequireHints" : "0.005",
         "XSLoader" : "0",
         "perl" : "5.008",
         "strict" : "0",
         "warnings" : "0"
      },
      "resources" : {
         "homepage" : "https://github.com/ilmari/multidimensional",
         "repository" : "https://github.com/ilmari/multidimensional.git"
      },
      "version" : "0.011"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.4",
   "modules" : [
      {
         "file" : "lib/multidimensional.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "multidimensional"
      }
   ],
   "needs_compiler" : 1,
   "no_pax_headers" : 1,
   "package" : "multidimensional-0.011.tar.gz",
   "prereq" : [
      {
         "is_build_prereq" : 1,
         "requires" : "Test::More",
         "type" : "build_requires",
         "version" : "0.88"
      },
      {
         "is_prereq" : 1,
         "requires" : "perl",
         "type" : "runtime_requires",
         "version" : "5.008"
      },
      {
         "requires" : "CPAN::Meta",
         "type" : "configure_requires",
         "version" : "2.112580"
      },
      {
         "is_prereq" : 1,
         "requires" : "warnings",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "XSLoader",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Lexical::SealRequireHints",
         "type" : "runtime_requires",
         "version" : "0.005"
      },
      {
         "is_prereq" : 1,
         "requires" : "strict",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "6.30"
      },
      {
         "is_prereq" : 1,
         "requires" : "B::Hooks::OP::Check",
         "type" : "runtime_requires",
         "version" : "0.19"
      },
      {
         "requires" : "B::Hooks::OP::Check",
         "type" : "configure_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::Depends",
         "type" : "configure_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1360260920,
   "size_packed" : 11520,
   "size_unpacked" : 30971,
   "uses" : {
      "required_in_config" : {
         "5.008" : 1,
         "ExtUtils::Depends" : 1
      },
      "required_in_tests" : {
         "Test::More" : 2
      },
      "used_in_code" : {
         "5.008" : 1,
         "B::Hooks::OP::Check" : 1,
         "Lexical::SealRequireHints" : 1,
         "XSLoader" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_eval_in_tests" : {
         "Pod::Coverage::TrustPod" : 1,
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Test::More" : 3,
         "lib" : 1,
         "strict" : 1,
         "warnings" : 1
      }
   },
   "valid_signature" : -1,
   "version" : "0.011",
   "versions" : {
      "lib/multidimensional.pm" : {
         "multidimensional" : "0.011"
      }
   },
   "vname" : "multidimensional-0.011"
}